{
 "actions": [],
 "allow_rename": 1,
 "creation": "2025-01-27 10:00:00",
 "editable_grid": 1,
 "engine": "InnoDB",
 "field_order": [
  "title",
  "team",
  "column_break_4",
  "status",
  "order_id",
  "server_section",
  "instance_id",
  "cpu",
  "disk_size",
  "region",
  "image_id",
  "planid",
  "column_break_aliyun",
  "end_date",
  "memory",
  "bandwidth",
  "public_ip",
  "system",
  "period",
  "ssh_section",
  "ssh_user",
  "ssh_port",
  "password",
  "column_break_20",
  "key_pair_name",
  "private_key"
 ],
 "fields": [
  {
   "default": "Pending",
   "fieldname": "status",
   "fieldtype": "Select",
   "in_list_view": 1,
   "in_standard_filter": 1,
   "label": "状态",
   "options": "Pending\nStarting\nRunning\nStopping\nStopped\nResetting\nUpgrading\nDisabled",
   "read_only": 1
  },
  {
   "fieldname": "title",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "标题"
  },
  {
   "fieldname": "column_break_4",
   "fieldtype": "Column Break"
  },
  {
   "fieldname": "team",
   "fieldtype": "Link",
   "label": "团队",
   "options": "Team"
  },
  {
   "collapsible": 1,
   "fieldname": "ssh_section",
   "fieldtype": "Section Break",
   "label": "SSH"
  },
  {
   "default": "root",
   "fieldname": "ssh_user",
   "fieldtype": "Data",
   "label": "SSH用户"
  },
  {
   "default": "22",
   "fieldname": "ssh_port",
   "fieldtype": "Int",
   "label": "SSH端口"
  },
  {
   "fieldname": "column_break_20",
   "fieldtype": "Column Break"
  },
  {
   "fieldname": "column_break_aliyun",
   "fieldtype": "Column Break"
  },
  {
   "fieldname": "instance_id",
   "fieldtype": "Data",
   "label": "实例ID",
   "read_only": 1,
   "unique": 1
  },
  {
   "fieldname": "end_date",
   "fieldtype": "Datetime",
   "in_list_view": 1,
   "label": "到期时间",
   "read_only": 1
  },
  {
   "fieldname": "region",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "地域",
   "read_only": 1
  },
  {
   "fieldname": "server_section",
   "fieldtype": "Section Break",
   "label": "服务器信息"
  },
  {
   "fieldname": "bandwidth",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "带宽（Mbps）",
   "read_only": 1
  },
  {
   "fieldname": "cpu",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "CPU（核）",
   "read_only": 1
  },
  {
   "fieldname": "memory",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "内存（GB）",
   "read_only": 1
  },
  {
   "fieldname": "disk_size",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "硬盘容量（GB）",
   "read_only": 1
  },
  {
   "fieldname": "order_id",
   "fieldtype": "Data",
   "label": "订单ID",
   "read_only": 1
  },
  {
   "fieldname": "planid",
   "fieldtype": "Data",
   "label": "套餐ID",
   "read_only": 1
  },
  {
   "fieldname": "period",
   "fieldtype": "Int",
   "hidden": 1,
   "label": "购买时长（月）",
   "read_only": 1
  },
  {
   "fieldname": "private_key",
   "fieldtype": "Text",
   "label": "Private Key（私钥）"
  },
  {
   "fetch_from": "virtual_machine.public_ip_address",
   "fieldname": "public_ip",
   "fieldtype": "Data",
   "in_list_view": 1,
   "label": "公网IP",
   "read_only": 1
  },
  {
   "fieldname": "image_id",
   "fieldtype": "Data",
   "label": "镜像ID",
   "read_only": 1
  },
  {
   "fieldname": "system",
   "fieldtype": "Data",
   "label": "系统",
   "read_only": 1
  },
  {
   "default": "22",
   "fieldname": "password",
   "fieldtype": "Password",
   "label": "服务器密码"
  },
  {
   "fieldname": "key_pair_name",
   "fieldtype": "Data",
   "label": "密钥对名称"
  }
 ],
 "index_web_pages_for_search": 1,
 "links": [],
 "modified": "2025-07-28 20:45:29.493153",
 "modified_by": "Administrator",
 "module": "Jcloud",
 "name": "Jsite Server",
 "naming_rule": "Set by user",
 "owner": "Administrator",
 "pagetype": "PageType",
 "permissions": [
  {
   "create": 1,
   "delete": 1,
   "email": 1,
   "export": 1,
   "print": 1,
   "read": 1,
   "report": 1,
   "role": "System Manager",
   "share": 1,
   "write": 1
  },
  {
   "create": 1,
   "read": 1,
   "role": "Jcloud Admin",
   "write": 1
  },
  {
   "create": 1,
   "read": 1,
   "role": "Jcloud Member",
   "write": 1
  }
 ],
 "quick_entry": 1,
 "row_format": "Dynamic",
 "sort_field": "modified",
 "sort_order": "DESC",
 "states": [],
 "title_field": "title"
}